function [ geneNamesList, blattnerIdList, nGenes, cuttingSites ] = convertCuttingSitesIntoGeneNames(geneInfo, cuttingSites)
%function that returns the names of genes disrupted in each one of the
%fragment data obtained by a enzyme digestion of the chromosome

%add the last cutting site to close the circle
%cuttingSites(end+1)=cuttingSites(1);

%initialize indexes for gene
GeneIndex=1;
%get boundaries in gene structure
NumberOfGenes=length(geneInfo);
%initialize index for cutting sites
CuttingSiteIndex=1;
%get bounderise in cuttings sites structure
NumberOfCuttingSites=length(cuttingSites);
%init support structures
geneNames={};
blattnerId={};
j=1;
%analysis of gene annotation and cutting sites
while((CuttingSiteIndex<=NumberOfCuttingSites-1))
  %get starting and ending point of the current possible fragment
  startCut=cuttingSites(CuttingSiteIndex);
  endCut=cuttingSites(CuttingSiteIndex+1);
  %check genes are not finished
  if (GeneIndex>NumberOfGenes)
      geneNamesList{CuttingSiteIndex}={};
      blattnerIdList{CuttingSiteIndex}={};
      nGenes(CuttingSiteIndex)=0;
      %go to next fragment
      CuttingSiteIndex=CuttingSiteIndex+1;      
  %check if the gene is in the cutting fragment
  else
  %get data of the current gene to be considered
  %start position of the genes
  geneStart=geneInfo(GeneIndex).geneStart;
  geneEnd=geneInfo(GeneIndex).geneEnd;
  %extract blattner id from the notes in the genbank file
  bId=geneInfo(GeneIndex).bId;
  %extract gene name
  gene=geneInfo(GeneIndex).gene;
  if(startCut<=geneStart)&&(geneStart<=endCut)||((startCut<=geneEnd )&&(geneEnd<=endCut))
           geneNames{j}=gene;
           blattnerId{j}=bId;
           j=j+1;
           GeneIndex=GeneIndex+1;
  elseif(endCut<geneStart)
         %set results in output structure
         geneNamesList{CuttingSiteIndex}=geneNames;
         blattnerIdList{CuttingSiteIndex}=blattnerId;
         nGenes(CuttingSiteIndex)=length(geneNames);
         %go to next fragment
         CuttingSiteIndex=CuttingSiteIndex+1;
         %initialize back support structures
         geneNames={};
         blattnerId={};
         j=1;
  elseif(startCut>geneEnd) 
         GeneIndex=GeneIndex+1;        
  end 
  end
end    
%as reported in the file createAtomicKnockoutStruct there is a bug in the
%function restrict, so we have to lump together the statistic of first and
%last fragment
geneNamesList{1}=[geneNamesList{1} geneNamesList{end}];
geneNamesList(end)=[];
blattnerIdList{1}=[blattnerIdList{1} blattnerIdList{end}];
blattnerIdList(end)=[];
nGenes(1)=nGenes(1)+nGenes(end);
nGenes(end)=[];
cuttingSites(end)=[];
cuttingSites(1)=cuttingSites(end);
cuttingSites(end)=[];
end

