function [ atomKnockOutStruct ] = createAtomicKnockoutStruct(genomeData,geneInfo,enzymeName,recSequence)
%function that populate a single element of atomic knokcouts structure

 [fragments, cut_sites, lengths] = restrict(genomeData.Sequence,enzymeName);
 %another error in the toolbox function, the first fragment start alway
 %from position 0, toolbox seems to not be aware that the chromosome of
 %E.Coli is a circle... so a bit of code for correcting it. We have to 
 %lump together all the data of first and last fragments. Moreover we have
 %to include the last cut, the one at the end of the genome..
 fragments{1}=[fragments{end} fragments{1}];
 fragments(end)=[];
 lengths(1)=lengths(1)+lengths(end);
 lengths(end)=[];
 cut_sites(end+1)=str2num(genomeData.LocusSequenceLength);
 %function that populate a single element of atomic knokcouts structure
 atomKnockOutStruct.enzymeName=enzymeName;
 atomKnockOutStruct.recSequence=recSequence;
 atomKnockOutStruct.cuttingSites=cut_sites;
 atomKnockOutStruct.fragments=fragments;
 atomKnockOutStruct.lengths=lengths;
 %extrapolate the genes in the fragment in blattner identifiers (needed for
 %the genome scale model)
 [geneNames,blattnerId,nGenes, cut_sites]=convertCuttingSitesIntoGeneNames(geneInfo,cut_sites);
 atomKnockOutStruct.geneNames=geneNames; 
 atomKnockOutStruct.blattnerId=blattnerId;
 atomKnockOutStruct.nGenes=nGenes;
 atomKnockOutStruct.cuttingSites=cut_sites;
end

 