function [atomicKnockoutStructList] = createAtomicKnockoutsForRestEnzymes(genomeData,names,patterns)
%given some names of restriction enzymes and a genome, gives back the list
%of all the atomicKnockoutStruct for that digestion

%number of restriction enzymes
nRestEnzymes=length(names);
%get the gene annotation information
geneInfo=extractGenesInfoFromGenomeAnnotation( genomeData );
%for all restryction enzymes
for i=1:nRestEnzymes 
    fprintf(1,'%d: Create Atomic Knockouts for Enzyme %s\n',i,names{i});
    %construct the atomicKnockout structure related to the current enzyme
    atomKnockElement=createAtomicKnockoutStruct(genomeData,geneInfo,names{i},patterns{i}); 
    %add element in the list
    atomicKnockoutStructList(i)=atomKnockElement;
end    
